Package de.willuhn.jameica.hbci.passports.pintan

# Class Controller

java.lang.Object
de.willuhn.jameica.gui.AbstractControl
de.willuhn.jameica.hbci.passports.pintan.Controller

public class Controller extends de.willuhn.jameica.gui.AbstractControl
Controller, der die Eingaben zur Konfiguration des Passports handelt.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.AbstractControl

`view`

## Constructor Summary

Constructors
Constructor
Description
`Controller(de.willuhn.jameica.gui.AbstractView view)`
ct.

## Method Summary

Modifier and Type
Method
Description
`de.willuhn.jameica.gui.input.Input`
`getBezeichnung()`
Liefert ein Eingabe-Feld fuer die Bezeichnung.
`de.willuhn.jameica.gui.input.Input`
`getBLZ()`
Liefert ein Eingabe-Feld fuer die BLZ.
`de.willuhn.jameica.gui.input.SelectInput`
`getCardReaders()`
Liefert eine Auswahl verfuegbarer Kartenleser-Bezeichnungen.
`de.willuhn.jameica.gui.input.CheckboxInput`
`getChipTANUSB()`
Liefert eine Checkbox, mit der eingestellt werden kann, ob chipTAN USB verwendet werden soll.
`PinTanConfig`
`getConfig()`
Liefert die aktuelle Config.
`de.willuhn.jameica.gui.parts.TablePart`
`getConfigList()`
Liefert eine Liste mit den existierenden Konfigurationen.
`de.willuhn.jameica.gui.input.CheckboxInput`
`getConvertQr()`
Liefert eine Checkbox, mit der festgelegt werden kann, ob der Flicker-Code on-demand in einen QR-Code konvertiert werden soll.
`de.willuhn.jameica.gui.input.Input`
`getCustomerId()`
Liefert ein Eingabe-Feld fuer die Benutzerkennung.
`de.willuhn.jameica.gui.input.Input`
`getFilterType()`
Liefert ein Eingabe-Feld fuer den Transport-Filter.
`de.willuhn.jameica.gui.input.Input`
`getHBCIVersion()`
Liefert eine Auswahl-Box fuer die HBCI-Version.
`de.willuhn.jameica.gui.parts.TablePart`
`getKontoAuswahl()`
BUGZILLA 173 BUGZILLA 314 Liefert eine Tabelle mit festzuordenbaren Konten.
`de.willuhn.jameica.gui.input.Input`
`getPort()`
Liefert ein Eingabe-Feld fuer den TCP-Port.
`de.willuhn.jameica.gui.input.CheckboxInput`
`getShowTan()`
Liefert eine Checkbox zur Aktivierung oder Deaktivierung der TAN-Anzeige waehrend der Eingabe.
`PtSecMechInput`
`getTANMech()`
Liefert eine Anzeige des aktuell gespeicherten TAN-Verfahrens und TAN-Mediums mit der Möglichkeit, dieses zurückzusetzen.
`de.willuhn.jameica.gui.input.Input`
`getURL()`
Liefert ein Eingabe-Feld fuer die URL.
`de.willuhn.jameica.gui.input.Input`
`getUserId()`
Liefert ein Eingabe-Feld fuer die Userkennung.
`void`
`handleCreate()`
Erstellt eine neue Config.
`void`
`handleDelete(PinTanConfig config)`
Loescht die Config.
`void`
`handleDisplayProperties()`
Zeigt die BPD/UPD des Passports an.
`boolean`
`handleStore()`
Speichert die Konfiguration.
`void`
`handleSync()`
Synchronisiert den Bankzugang neu.
`void`
`handleTest()`
Testet die Konfiguration.

### Methods inherited from class de.willuhn.jameica.gui.AbstractControl

`getCurrentObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Controller

public Controller(de.willuhn.jameica.gui.AbstractView view)
ct.

Parameters:
  `view` -

## Method Details

### getConfig

public PinTanConfig getConfig()
Liefert die aktuelle Config.

Returns:
  config

### getConfigList

public de.willuhn.jameica.gui.parts.TablePart getConfigList() throws RemoteException
Liefert eine Liste mit den existierenden Konfigurationen.

Returns:
  Liste der Konfigurationen.
Throws:
  `RemoteException`

### getBLZ

public de.willuhn.jameica.gui.input.Input getBLZ() throws RemoteException
Liefert ein Eingabe-Feld fuer die BLZ.

Returns:
  BLZ
Throws:
  `RemoteException`

### getKontoAuswahl

public de.willuhn.jameica.gui.parts.TablePart getKontoAuswahl() throws RemoteException
BUGZILLA 173 BUGZILLA 314 Liefert eine Tabelle mit festzuordenbaren Konten.

Returns:
  Auswahl-Feld.
Throws:
  `RemoteException`

### getURL

public de.willuhn.jameica.gui.input.Input getURL() throws RemoteException
Liefert ein Eingabe-Feld fuer die URL.

Returns:
  URL
Throws:
  `RemoteException`

### getShowTan

public de.willuhn.jameica.gui.input.CheckboxInput getShowTan() throws RemoteException
Liefert eine Checkbox zur Aktivierung oder Deaktivierung der TAN-Anzeige waehrend der Eingabe.

Returns:
  Checkbox.
Throws:
  `RemoteException`

### getCardReaders

public de.willuhn.jameica.gui.input.SelectInput getCardReaders() throws RemoteException
Liefert eine Auswahl verfuegbarer Kartenleser-Bezeichnungen.

Returns:
  eine Auswahl verfuegbaren Kartenleser-Bezeichnungen.
Throws:
  `RemoteException`

### getConvertQr

public de.willuhn.jameica.gui.input.CheckboxInput getConvertQr() throws RemoteException
Liefert eine Checkbox, mit der festgelegt werden kann, ob der Flicker-Code on-demand in einen QR-Code konvertiert werden soll.

Returns:
  die Checkbox.
Throws:
  `RemoteException`

### getTANMech

public PtSecMechInput getTANMech() throws RemoteException
Liefert eine Anzeige des aktuell gespeicherten TAN-Verfahrens und TAN-Mediums mit der Möglichkeit, dieses zurückzusetzen.

Returns:
  das Anzeigefeld.
Throws:
  `RemoteException`

### getChipTANUSB

public de.willuhn.jameica.gui.input.CheckboxInput getChipTANUSB() throws RemoteException
Liefert eine Checkbox, mit der eingestellt werden kann, ob chipTAN USB verwendet werden soll.

Returns:
  eine Checkbox, mit der eingestellt werden kann, ob chipTAN USB verwendet werden soll.
Throws:
  `RemoteException`

### getBezeichnung

public de.willuhn.jameica.gui.input.Input getBezeichnung() throws RemoteException
Liefert ein Eingabe-Feld fuer die Bezeichnung.

Returns:
  Bezeichnung.
Throws:
  `RemoteException`

### getPort

public de.willuhn.jameica.gui.input.Input getPort() throws RemoteException
Liefert ein Eingabe-Feld fuer den TCP-Port.

Returns:
  Port
Throws:
  `RemoteException`

### getCustomerId

public de.willuhn.jameica.gui.input.Input getCustomerId() throws RemoteException
Liefert ein Eingabe-Feld fuer die Benutzerkennung.

Returns:
  Benutzerkennung.
Throws:
  `RemoteException`

### getUserId

public de.willuhn.jameica.gui.input.Input getUserId() throws RemoteException
Liefert ein Eingabe-Feld fuer die Userkennung.

Returns:
  Userkennung.
Throws:
  `RemoteException`

### getFilterType

public de.willuhn.jameica.gui.input.Input getFilterType() throws RemoteException
Liefert ein Eingabe-Feld fuer den Transport-Filter.

Returns:
  Filter
Throws:
  `RemoteException`

### getHBCIVersion

public de.willuhn.jameica.gui.input.Input getHBCIVersion() throws RemoteException
Liefert eine Auswahl-Box fuer die HBCI-Version.

Returns:
  Auswahl-Box.
Throws:
  `RemoteException`

### handleDisplayProperties

public void handleDisplayProperties()
Zeigt die BPD/UPD des Passports an.

### handleDelete

public void handleDelete(PinTanConfig config)
Loescht die Config.

Parameters:
  `config` - die zu loeschende Config.

### handleSync

public void handleSync()
Synchronisiert den Bankzugang neu.

### handleTest

public void handleTest()
Testet die Konfiguration.

### handleCreate

public void handleCreate()
Erstellt eine neue Config.

### handleStore

public boolean handleStore()
Speichert die Konfiguration.

Returns:
  true, wenn die Config gespeichert werden konnte.